# Data sharing

You can use it if you want to pull data to other scripts.

You can get data with callbacks at the bottom.

```lua
ESX.TriggerServerCallback
QBCore.Functions.TriggerCallback
```

<table><thead><tr><th width="286">Triggers</th><th width="172">Required Values</th><th>return</th></tr></thead><tbody><tr><td>s4-burnerphone:getDarkchat</td><td>none</td><td>Returns all darkchat</td></tr><tr><td>s4-burnerphone:getNumberFromUsername</td><td>[username=string]</td><td>Returns username from number</td></tr><tr><td>s4-burnerphone:getGallery</td><td>none</td><td>Returns Gallery list</td></tr><tr><td>s4-burnerphone:getContact</td><td>none</td><td>Returns Contact list</td></tr><tr><td>s4-burnerphone:checkNumber</td><td>[number=number]</td><td>Checks is number exist a illegal phone user</td></tr><tr><td>s4-burnerphone:GetAllChat</td><td>none</td><td>Returns All Messages - also have chat_id's</td></tr><tr><td>s4-burnerphone:LoadChatFromId</td><td>[chat_id=number]</td><td>Retuns Chat Messages from chat_id</td></tr></tbody></table>

Example using;

```lua
Framework.TriggerServerCallback("s4-burnerphone:getGallery", function(galleryData)  
     -- galleryData
end)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/s4-resources/illegal-phone/data-sharing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
